Subject: Re: bug#34114: 27.0.50: pdumper and themes with Emacs daemon
From: Eli Zaretskii <[email-masked]>
To: Karl Otness <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Sat, 26 Jan 2019 12:22:16 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Karl Otness <[email-masked]>
> Date: Thu, 24 Jan 2019 19:22:34 +0000
> Cc: Daniel Colascione <[email-masked]>, [email-masked], 
> 	Kaushal Modi <[email-masked]>
> 
> On Thu, Jan 24, 2019 at 3:12 PM Eli Zaretskii <[email-masked]> wrote:
> > So Karl, could you please try the patch below, which is based on your
> > idea, but with a quirk?
> 
> That patch seems to fix the issue for me. Thanks for taking a look at it.

Thanks, I installed it now.

> > And before you apply the patch, could you perhaps show C and Lisp
> > backtraces from the errors you were seeing?  I don't see those errors
> > here when I try your recipe, and I'd like to better understand where
> > the problem happens.
> 
> As far as backtraces, here's the output I get when running with my init
> file containing just "(toggle-debug-on-error)" and "(load-theme 'wombat t)":

Thanks for this and the C backtrace, I think I understand now what was
the problem.